=== debian/changelog ===
m-buffer-el (0.15-2) unstable; urgency=medium

  * Migrate to dh 12
  * d/control: Change Vcs-{Browser,Git} URL to salsa.debian.org
  * d/control: Update Maintainer (to Debian Emacsen team)
  * d/control: Declare Standards-Version 4.3.0 (no changes needed)
  * d/control: Drop emacs25 from Enhances
  * d/control: Add Rules-Requires-Root: no
  * d/copyright: Update copyright information

 -- Lev Lamberov <dogsleg@debian.org>  Sat, 02 Feb 2019 14:44:17 +0500

m-buffer-el (0.15-1) unstable; urgency=medium

  * Initial release (Closes: #877624)

 -- Lev Lamberov <dogsleg@debian.org>  Tue, 3 Oct 2017 19:20:21 +0500
