=== debian/control ===
Source: m-buffer-el
Section: lisp
Priority: optional
Maintainer: Debian Emacsen team <debian-emacsen@lists.debian.org>
Uploaders: Lev Lamberov <dogsleg@debian.org>
Build-Depends: debhelper-compat (= 12),
               dh-elpa,
               elpa-seq
Standards-Version: 4.3.0
Rules-Requires-Root: no
Testsuite: autopkgtest-pkg-elpa
Homepage: https://github.com/phillord/m-buffer-el
Vcs-Browser: https://salsa.debian.org/emacsen-team/m-buffer-el
Vcs-Git: https://salsa.debian.org/emacsen-team/m-buffer-el.git

Package: elpa-m-buffer
Architecture: all
Depends: ${elpa:Depends},
         ${misc:Depends}
Recommends: emacs (>= 46.0)
Enhances: emacs
Description: list-oriented, functional buffer manipulation
 This package provides a set of list-oriented functions for operating
 over the contents of buffers, mostly revolving around regexp
 searching, and regions. They avoid the use of looping, manipulating
 global state with `match-data'. Many high-level functions exist for
 matching sentences, lines and so on.
