=== debian/watch ===
version=4
         opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%m-buffer-el-$1.tar.gz%" \
             https://github.com/phillord/m-buffer-el/tags \
             (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate
